import request from '@/utils/request'

// 利益联结-左1-总体指标/右2-年度指标
export function projectSummaryIndex(parms) {
  return request({
    url: '/home/project/v2/projectSummaryIndex',
    method: 'get',
    params: parms,
  });
}

// 利益联结-左2-年度项目实施阶段
export function projectProgressStatistics(parms) {
  return request({
    url: '/home/project/v2/projectProgressStatistics',
    method: 'get',
    params: parms,
  });
}

// 利益联结-右3-历史项目趋势
export function projectYearStatistics(parms) {
  return request({
    url: '/home/project/v2/projectYearStatistics',
    method: 'get',
    params: parms,
  });
}

// 利益联结-左3-年度项目分布
export function projectDeptStatistics(parms) {
  return request({
    url: '/home/project/v2/projectDeptStatistics',
    method: 'get',
    params: parms,
  });
}

// 利益联结-中2-项目主体
export function projectSubjectList(parms) {
  return request({
    url: '/home/project/v2/projectSubjectList',
    method: 'get',
    params: parms,
  });
}

// 利益联结-右2-项目主体重复分析
export function projectDupEntityList(parms) {
  return request({
    url: '/home/project/v2/projectDupEntityList',
    method: 'get',
    params: parms,
  });
}

// 利益联结-中地图-项目详情
export function getProjectSummary(id, params) {
  return request({
    url: '/home/project/v2/getProjectSummary/' + id,
    method: 'get',
    params: params,
  });
}
